Bug 242186 - security/stoken: fix dependency on libtomcrypt (possibly only exists on 11.x, not on 12.x)
Summary: security/stoken: fix dependency on libtomcrypt (possibly only exists on 11.x,...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Oleksii Samorukov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-24 12:15 UTC by Rubin Simons
Modified: 2020-05-03 10:05 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (samm)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rubin Simons 2019-11-24 12:15:59 UTC
A recent bug in libtomcrypt prevented building stoken. See: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=241232

The build log here: http://beefy3.nyi.freebsd.org/data/113amd64-quarterly/517398/logs/errors/stoken-0.92.log

..shows that stoken failed to build for inclusion in pkg repositories, most likely due to this bug (i.e, the dependency pulled in is 1.18.2, not 1.18.2_1 which should include the fix mentioned in #241232)

I suspect fixing the dependency on libtomcrypt to be minimally the version that includes the fix in #241232, would fix the build of stoken.
Comment 1 Rubin Simons 2019-11-24 13:58:19 UTC
Possibly this issue only exists on 11.3; I saw that stoken was correctly built for 12.1.
Comment 2 Oleksii Samorukov freebsd_committer 2020-05-03 10:05:17 UTC
This should be fixed already, libtomcrypt is now buildable on 12 as well